"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'potuk',
    name: 'PotUK',
    description: 'PotUK - Private site for MOVIES / TV / GENERAL',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://www.potuk.net/'],
    caps: {
        categorymappings: [
            { id: '8', cat: 'Movies', desc: 'Movies' },
            { id: '9', cat: 'Movies/HD', desc: 'DVDRip/BRRip/BDRip' },
            {
                id: '10',
                cat: 'Movies/SD',
                desc: 'Screeners/R3/R5/R6/HDRip/Webrip/WEB-DL/Recodes',
            },
            { id: '11', cat: 'Movies/DVD', desc: 'DVDR' },
            { id: '15', cat: 'Movies/UHD', desc: 'High Definition MKV/MP4' },
            {
                id: '16',
                cat: 'Movies/SD',
                desc: 'Cams TS & TC/PPV/VOD/HDTV *Ratio Free*',
            },
            {
                id: '17',
                cat: 'Movies/UHD',
                desc: '4k Ultra High Definition  *Ratio Free*',
            },
            { id: '18', cat: 'Audio', desc: 'Music' },
            { id: '19', cat: 'Audio/Video', desc: 'Music DVD & Videos' },
            { id: '20', cat: 'Audio', desc: 'Hip-Hop/RnB/Soul' },
            { id: '22', cat: 'Audio', desc: 'Rock/Heavy Metal/Alternative' },
            {
                id: '23',
                cat: 'Audio',
                desc: 'Amateur Creations/Live DJ Sets etc/Karaoke',
            },
            { id: '24', cat: 'Audio', desc: 'Golden Oldies/Easy Listening' },
            { id: '25', cat: 'Audio', desc: 'Pop albums' },
            {
                id: '26',
                cat: 'Audio',
                desc: 'Drum & Bass/Breakbeat/Garage/Hardcore',
            },
            { id: '27', cat: 'Audio', desc: 'Trance/Dance/House' },
            { id: '28', cat: 'Audio', desc: 'Misc/compilation albums' },
            { id: '29', cat: 'Audio', desc: 'Soundtracks' },
            { id: '32', cat: 'Audio', desc: 'Country/Folk' },
            { id: '33', cat: 'Audio', desc: 'Classical' },
            { id: '34', cat: 'Audio', desc: 'Reggae/dub/ska/2 tone' },
            { id: '35', cat: 'Audio', desc: "Jazz 'n' Blues" },
            { id: '36', cat: 'Audio', desc: 'Singles' },
            { id: '37', cat: 'Audio', desc: 'Album & Singles Packs' },
            { id: '38', cat: 'Audio/Lossless', desc: 'Lossless Format Albums' },
            { id: '39', cat: 'PC/Games', desc: 'Games' },
            { id: '40', cat: 'PC/Games', desc: 'PC Games' },
            { id: '41', cat: 'Console/Xbox', desc: 'X BOX' },
            { id: '42', cat: 'Console/PS3', desc: 'Playstation' },
            {
                id: '43',
                cat: 'Console/Other',
                desc: 'All Other Console Roms & Emulators',
            },
            { id: '47', cat: 'PC/Mac', desc: 'Mac & Other OS Games' },
            {
                id: '49',
                cat: 'PC/Games',
                desc: 'DVDR Interactive Games & Quizzes',
            },
            { id: '50', cat: 'Console/PSP', desc: 'SONY PSP' },
            { id: '51', cat: 'Console/Other', desc: 'Nintendo Switch' },
            { id: '52', cat: 'Console/NDS', desc: 'Nintendo DS' },
            { id: '53', cat: 'PC', desc: 'Applications' },
            {
                id: '55',
                cat: 'PC',
                desc: 'Windows Operating Systems & MS Apps',
            },
            { id: '56', cat: 'PC', desc: 'Artistry' },
            { id: '57', cat: 'PC', desc: 'Internet & Web' },
            { id: '58', cat: 'PC', desc: 'Utilities' },
            { id: '59', cat: 'PC', desc: 'Misc Applications' },
            { id: '60', cat: 'PC', desc: 'Sound & Vision' },
            { id: '63', cat: 'PC/Mac', desc: 'Macintosh Applications' },
            { id: '64', cat: 'TV', desc: 'TV Shows' },
            { id: '66', cat: 'TV/Sport', desc: 'Sport TV' },
            { id: '68', cat: 'TV', desc: 'Sci-Fi / Supernatural / Horror' },
            { id: '69', cat: 'TV', desc: 'Comedy' },
            { id: '70', cat: 'TV', desc: 'Cartoons/Animation' },
            { id: '71', cat: 'TV', desc: 'Drama' },
            { id: '72', cat: 'TV', desc: 'Action/Adventure' },
            { id: '73', cat: 'TV/Other', desc: 'Misc TV' },
            { id: '75', cat: 'TV/Documentary', desc: 'Documentaries' },
            { id: '76', cat: 'TV/Anime', desc: 'Animation' },
            { id: '80', cat: 'Books', desc: 'Comics/Books/eBooks' },
            { id: '83', cat: 'Audio/Audiobook', desc: 'Audio Books' },
            { id: '84', cat: 'Books/Ebook', desc: 'E Books' },
            { id: '85', cat: 'Books/Comics', desc: 'Comics/Magazines' },
            { id: '86', cat: 'Other/Misc', desc: 'Misc Torrents' },
            { id: '89', cat: 'PC/Mobile-Other', desc: 'Mobile Phone Stuff' },
            { id: '91', cat: 'Movies/3D', desc: 'Movies 3D' },
            {
                id: '132',
                cat: 'Other',
                desc: 'Practice your uploading skills in here',
            },
            { id: '140', cat: 'XXX', desc: 'Adult Clips & Amateur' },
            { id: '141', cat: 'XXX', desc: 'Adult Picture Links & Mags' },
            { id: '143', cat: 'XXX', desc: 'Adult Games' },
            { id: '144', cat: 'XXX', desc: 'Adult Retail Movies' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
    ],
    login: {
        path: 'index.php',
        method: 'form',
        form: 'form',
        inputs: {
            login: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            remember: 1,
            _xfRedirect: '',
        },
        selectorinputs: {
            _xfToken: {
                selector: 'input[name="_xfToken"]',
                attribute: 'value',
            },
        },
        error: [
            { selector: 'div.blockMessage--error:contains(" not be found")' },
            { selector: 'div.blockMessage--error:contains("Incorrect password")' },
        ],
        test: {
            path: 'index.php',
            selector: 'a[href="/index.php?account/preferences"]',
        },
    },
    search: {
        paths: [
            {
                path: 'index.php?torrents/&freeleech={{ if .Config.freeleech }}1{{ else }}{{ end }}&filename={{ .Keywords }}',
            },
        ],
        rows: { selector: 'table.dataList-table > tbody.normal-torrents > tr' },
        fields: {
            category: {
                selector: 'a[href^="/index.php?forums/"]',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '(\\d+)/$' }],
            },
            title: { selector: 'div.structItem-title a' },
            details: {
                selector: 'li.structItem-startDate a',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="/index.php?attachments/"]',
                attribute: 'href',
            },
            magnet: { selector: 'a[href^="magnet:?x"]', attribute: 'href' },
            date: { selector: 'time', attribute: 'datetime' },
            size: { selector: 'td:nth-last-child(4)' },
            grabs: { selector: 'td:nth-last-child(3)' },
            seeders: { selector: 'td:nth-last-child(2)' },
            leechers: { selector: 'td:nth-last-child(1)' },
            downloadvolumefactor: { case: { 'span.label--accent': 0, '*': 1 } },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 1 },
        },
    },
    source: 'jackett',
};
