"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'xbytesv2',
    name: 'XbytesV2',
    description: 'xbytesV2 is a SPANISH site for HD content',
    language: 'es-ES',
    type: 'private',
    encoding: 'ISO-8859-1',
    links: ['http://xbytesv2.li/'],
    caps: {
        categorymappings: [
            {
                id: '17',
                cat: 'Movies/BluRay',
                desc: 'Video - FullBluray/BDRemux',
            },
            { id: '23', cat: 'Movies/3D', desc: 'Video - 3D' },
            { id: '18', cat: 'Movies/HD', desc: 'Video - 1080p' },
            { id: '30', cat: 'Movies/HD', desc: 'Video - MicroHD x265' },
            { id: '29', cat: 'Movies/HD', desc: 'Video - 1080p x265' },
            { id: '16', cat: 'Movies/HD', desc: 'Video - MicroHD' },
            { id: '61', cat: 'Movies', desc: 'Video - Custom' },
            { id: '42', cat: 'Movies/DVD', desc: 'Video - DVD' },
            {
                id: '21',
                cat: 'Movies/BluRay',
                desc: 'Video UHD - FullBluray/BDRemux',
            },
            { id: '45', cat: 'Movies/UHD', desc: 'Video UHD - UHD BDRip' },
            { id: '46', cat: 'Movies/UHD', desc: 'Video UHD - M-UHD' },
            { id: '62', cat: 'Movies/UHD', desc: 'Video UHD - Custom 4K' },
            { id: '25', cat: 'TV/HD', desc: 'Series - temp. complet' },
            { id: '31', cat: 'TV/HD', desc: 'Series - x265' },
            { id: '35', cat: 'TV/UHD', desc: 'Series - 4K' },
            { id: '41', cat: 'TV/Sport', desc: 'Deportes' },
            { id: '37', cat: 'TV/Documentary', desc: 'Documentales' },
            { id: '34', cat: 'TV/HD', desc: 'Dibujos animados' },
            { id: '5', cat: 'TV/Anime', desc: 'Anime' },
            { id: '14', cat: 'Audio/MP3', desc: 'Musica - MP3' },
            { id: '39', cat: 'Audio/Lossless', desc: 'Musica - FLAC' },
            { id: '38', cat: 'Audio/Other', desc: 'Musica - otros formato' },
            { id: '27', cat: 'PC/Games', desc: 'Juegos' },
            { id: '65', cat: 'Console', desc: 'Juegos Retro' },
            { id: '33', cat: 'Books', desc: 'Libros' },
            { id: '7', cat: 'PC/0day', desc: 'Software' },
            { id: '40', cat: 'PC/Mobile-Other', desc: 'Telefonos y tablets' },
            { id: '12', cat: 'XXX', desc: 'Adult' },
            { id: '32', cat: 'Other', desc: 'Otros' },
            { id: '19', cat: 'Movies/HD', desc: 'Video - 720p' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 3,
            options: { '2': 'title', '3': 'created', '4': 'size', '5': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 2,
            options: { '1': 'asc', '2': 'desc' },
        },
        {
            name: 'info',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.',
        },
    ],
    login: {
        path: 'index.php?page=login',
        method: 'post',
        inputs: {
            uid: '{{ .Config.username }}',
            pwd: '{{ .Config.password }}',
        },
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        keywordsfilters: [
            {
                name: 're_replace',
                args: ['(?i)S(\\d{1,2})E(\\d{1,2})', 'S$1/E$2'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?1)(?![\\dE])', 'Primera Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?2)(?![\\dE])', 'Segunda Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?3)(?![\\dE])', 'Tercera Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?4)(?![\\dE])', 'Cuarta Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?5)(?![\\dE])', 'Quinta Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?6)(?![\\dE])', 'Sexta Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?7)(?![\\dE])', 'Septima Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?8)(?![\\dE])', 'Octava Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S0?9)(?![\\dE])', 'Novena Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S10)(?![\\dE])', 'Decima Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S11)(?![\\dE])', 'Onceava Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S12)(?![\\dE])', 'Decimosegunda Temporada'],
            },
            {
                name: 're_replace',
                args: ['(?i)(S(\\d{1,2}))(?![\\dE])', 'Temporada'],
            },
        ],
        inputs: {
            page: 'torrents',
            $raw: '&category={{ range .Categories }}{{.}};{{end}}',
            active: 1,
            options: '{{ if .Config.freeleech }}5{{ else }}0{{ end }}',
            search: '{{ .Keywords }}',
            order: '{{ .Config.sort }}',
            by: '{{ .Config.type }}',
        },
        rows: {
            selector: '#Mcol > div > div.block-content > div > div > div > table > tbody > tr:nth-child(3) > td > table tr:not(:first-child):not(:last-child)',
        },
        fields: {
            category: {
                selector: 'td:nth-child(1) a',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            title: {
                selector: 'td[valign="middle"] a',
                filters: [
                    { name: 'replace', args: ['//', '/'] },
                    { name: 're_replace', args: ['\\((?=(.*\\d{4}))', '{'] },
                    { name: 're_replace', args: ['\\)(?=(.*\\d{4}))', '}'] },
                    {
                        name: 're_replace',
                        args: ['\\{?(?i)Estreno (19|20)\\d{2}\\}?', ''],
                    },
                    {
                        name: 're_replace',
                        args: ['(\\{((19|20)\\d{2}) ((19|20)\\d{2}))', '{$2-$4}'],
                    },
                    {
                        name: 're_replace',
                        args: ['(\\/(?i)E\\d{1,2}) (\\d{1,2})', '$1-$2'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)S(\\d{1,2})[ \\/]E(\\d{1,2})', 'S$1E$2'],
                    },
                    { name: 're_replace', args: ['\\{(19|20)\\d{2} \\d{2}', ''] },
                    {
                        name: 're_replace',
                        args: ['\\{(19|20)\\d{2}\\/(S\\d{2})', '$2'],
                    },
                    { name: 're_replace', args: ['(\\{(19|20)\\d{2})\\/', '$1}/'] },
                    { name: 'replace', args: ['/Español', '/SPANiSH'] },
                    { name: 'replace', args: ['/SPA', '/SPANiSH'] },
                    { name: 'replace', args: ['/ESP', '/SPANiSH'] },
                    { name: 're_replace', args: ['\\/[EI]NG', '/English'] },
                    { name: 'replace', args: ['/CAT', '/Catalan'] },
                    { name: 're_replace', args: ['\\/FR[AE]?', '/French'] },
                    { name: 'replace', args: ['/ALE', '/German'] },
                    { name: 'replace', args: ['/HOL', '/Dutch'] },
                    { name: 'replace', args: ['/NL', '/Dutch'] },
                    { name: 'replace', args: ['/NOR', '/Norwegian'] },
                    { name: 'replace', args: ['/CHI', '/Chinese'] },
                    { name: 'replace', args: ['/JAP', '/Japanese'] },
                    { name: 're_replace', args: ['\\/ITA?', '/Italian'] },
                    { name: 'replace', args: ['/RUS', '/Russian'] },
                    { name: 're_replace', args: ['\\/[KC]O?R', '/Korean'] },
                    { name: 'replace', args: ['/LAT', '/Latino'] },
                    { name: 'replace', args: ['/HEB', '/Hebrew'] },
                    { name: 'replace', args: ['/AR', '/Arabic'] },
                    { name: 'replace', args: ['/FIN', '/Finnish'] },
                    { name: 'replace', args: ['/SUE', '/Swedish'] },
                    { name: 'replace', args: ['/Turco', '/Turkish'] },
                    { name: 're_replace', args: ['\\/(?i)DUAL', '/MULTi SPANiSH'] },
                    { name: 're_replace', args: ['(?i)UHDRip', 'Bluray'] },
                    {
                        name: 're_replace',
                        args: ['(\\d)\\}\\/(?i)(MHD)\\/(\\d)', '$1}/mHD BluRay/$3'],
                    },
                    { name: 're_replace', args: ['(?i)BDRIP', 'BluRay'] },
                    { name: 're_replace', args: ['WEB DL', 'WEBDL'] },
                    { name: 'replace', args: ['E AC3', 'E-AC3'] },
                    { name: 'replace', args: ['DTS HD', 'DTS-HD'] },
                    { name: 'replace', args: ['VC 1', 'VC-1'] },
                    {
                        name: 're_replace',
                        args: [' ((?i)V?)((\\d+) (\\d+))', ' $1$3.$4'],
                    },
                    { name: 're_replace', args: ['\\.((\\d+) (\\d+))', '.$2.$3'] },
                    { name: 're_replace', args: ['(?i)(REPARAD[OA])', 'REPACK'] },
                    { name: 're_replace', args: ['(?i)(Miniserie)', ''] },
                    {
                        name: 're_replace',
                        args: ['(?i)(Temporada(s?)( (\\d+))( Completa)?)', 'S$4'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)(Decimosegunda Temporada)', 'S12'],
                    },
                    { name: 're_replace', args: ['(?i)(Primera Temporada)', 'S01'] },
                    { name: 're_replace', args: ['(?i)(Segunda Temporada)', 'S02'] },
                    { name: 're_replace', args: ['(?i)(Tercera Temporada)', 'S03'] },
                    { name: 're_replace', args: ['(?i)(Cuarta Temporada)', 'S04'] },
                    { name: 're_replace', args: ['(?i)(Quinta Temporada)', 'S05'] },
                    { name: 're_replace', args: ['(?i)(Sexta Temporada)', 'S06'] },
                    { name: 're_replace', args: ['(?i)(Septima Temporada)', 'S07'] },
                    { name: 're_replace', args: ['(?i)(Octava Temporada)', 'S08'] },
                    { name: 're_replace', args: ['(?i)(Novena Temporada)', 'S09'] },
                    { name: 're_replace', args: ['(?i)(Decima Temporada)', 'S10'] },
                    { name: 're_replace', args: ['(?i)(Onceava Temporada)', 'S11'] },
                    {
                        name: 're_replace',
                        args: ['(?i)(Temporada) (\\d{1,2})', 'S$2'],
                    },
                    { name: 'replace', args: ['/', ' '] },
                    { name: 'replace', args: ['(', ' '] },
                    { name: 'replace', args: [')', ' '] },
                    { name: 'replace', args: ['{', '('] },
                    { name: 'replace', args: ['}', ')'] },
                    { name: 'replace', args: ['  ', ' '] },
                ],
            },
            details: { selector: 'td[valign="middle"] a', attribute: 'href' },
            poster: {
                selector: 'td[valign="middle"] a',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=(.+?) ' }],
            },
            size: { selector: 'td:nth-child(11)' },
            seeders: { selector: 'td:nth-child(7) a' },
            leechers: { selector: 'td:nth-child(8) a' },
            grabs: { selector: 'td:nth-child(9) a', optional: true },
            date: {
                selector: 'td:nth-child(6)',
                filters: [
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '02/01/2006 -07:00' },
                ],
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            downloadvolumefactor: {
                case: {
                    'img[src$="gold.png"]': 0,
                    'img[src$="silver.png"]': 0.5,
                    'img[src$="bronze.png"]': 0.25,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'img[src$="2x.gif"]': 2,
                    'img[src$="3x.gif"]': 3,
                    'img[src$="4x.gif"]': 4,
                    'img[src$="5x.gif"]': 5,
                    'img[src$="6x.gif"]': 6,
                    'img[src$="7x.gif"]': 7,
                    'img[src$="8x.gif"]': 8,
                    'img[src$="9x.gif"]': 9,
                    '*': 1,
                },
            },
        },
        paths: [{ path: 'index.php' }],
    },
    source: 'jackett',
};
